Your submission was sent successfully! Close

CVE-2020-35653

Published: 12 January 2021

In Pillow before 8.1.0, PcxDecode has a buffer over-read when decoding a crafted PCX file because the user-supplied stride value is trusted for buffer calculations.

Priority

Medium

CVSS 3 base score: 7.1

Status

Package Release Status
pillow
Launchpad, Ubuntu, Debian
Upstream
Released (8.1.0-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(8.1.0-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(8.1.0-1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (7.0.0-4ubuntu0.2)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (5.1.0-1ubuntu0.4)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (3.1.2-0ubuntu1.5)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (2.3.0-1ubuntu3.4+esm2)
Patches:
Upstream: https://github.com/python-pillow/Pillow/commit/2f409261eb1228e166868f8f0b5da5cda52e55bf
Upstream: https://github.com/python-pillow/Pillow/commit/903c67353da1dc3a59d5367338e76101a9cfb4b1
pillow-python2
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

python-imaging
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Does not exist

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist